[akmods] Fix rfbz #4108
by Sérgio M. Basto
commit f60836a807696668c40e81e7166cd0c78b6787db
Author: Sérgio M. Basto <sergio(a)serjux.com>
Date: Wed Aug 17 19:11:00 2016 +0100
Fix rfbz #4108
Since F24 we got ulimit: core file size: cannot modify limit:
Invalid argument , seems ulimit is not need, anymore...
Todo: investigate what happens to ulimit in F24.
akmods | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
---
diff --git a/akmods b/akmods
index e2b6e06..486976d 100755
--- a/akmods
+++ b/akmods
@@ -144,7 +144,7 @@ init ()
\export PATH='/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin'
\unalias -a
hash -r
- ulimit -H -c 0 --
+ #ulimit -H -c 0 --
IFS=$' \t\n'
UMASK=022
umask ${UMASK}
8 years, 7 months
[akmods] Replace some tabs with spaces to match the style of the akmods script
by Sérgio M. Basto
commit 1b2a16e5dc5f347c78eaa83bd121bc2dc3b5784d
Author: Igor Vuk <parcijala(a)gmail.com>
Date: Mon May 16 17:47:40 2016 +0200
Replace some tabs with spaces to match the style of the akmods script
akmods | 21 ++++++++++-----------
1 file changed, 10 insertions(+), 11 deletions(-)
---
diff --git a/akmods b/akmods
index d632743..e2b6e06 100755
--- a/akmods
+++ b/akmods
@@ -246,9 +246,9 @@ buildinstall_kmod()
# akmods_echo will log to this file from now on as well
kmodlogfile="/var/cache/akmods/${this_kmodname}/.last.log"
- # Unset TMPDIR since it is misused by "runuser"
- # https://bugzilla.rpmfusion.org/show_bug.cgi?id=2596
- unset TMPDIR
+ # Unset TMPDIR since it is misused by "runuser"
+ # https://bugzilla.rpmfusion.org/show_bug.cgi?id=2596
+ unset TMPDIR
# build module using akmod
akmods_echo 1 4 "Building RPM using the command '$(which akmodsbuild) --target $(uname -m) --kernels ${this_kernelver} ${this_kmodsrpm}'"
@@ -276,14 +276,13 @@ buildinstall_kmod()
# dnf/yum install - repository disabled on purpose see rfbz#3350
akmods_echo 1 4 "Installing newly built rpms"
- if [ -f /usr/bin/dnf ]
- then
- akmods_echo 1 4 "DNF detected"
- dnf -y install --disablerepo='*' $(find "${tmpdir}results" -type f -name '*.rpm' | grep -v debuginfo) >> "${kmodlogfile}" 2>&1
- else
- akmods_echo 1 4 "DNF not found, using YUM instead."
- yum -y install --disablerepo='*' $(find "${tmpdir}results" -type f -name '*.rpm' | grep -v debuginfo) >> "${kmodlogfile}" 2>&1
- fi
+ if [ -f /usr/bin/dnf ]; then
+ akmods_echo 1 4 "DNF detected"
+ dnf -y install --disablerepo='*' $(find "${tmpdir}results" -type f -name '*.rpm' | grep -v debuginfo) >> "${kmodlogfile}" 2>&1
+ else
+ akmods_echo 1 4 "DNF not found, using YUM instead."
+ yum -y install --disablerepo='*' $(find "${tmpdir}results" -type f -name '*.rpm' | grep -v debuginfo) >> "${kmodlogfile}" 2>&1
+ fi
local returncode=$?
# place the newly built rpms where user expects them
8 years, 7 months
[akmods] Remove trailing spaces in akmodsbuild
by Sérgio M. Basto
commit 09b07a59e1c34c4c7b72e430f2c67311b164a739
Author: Igor Vuk <parcijala(a)gmail.com>
Date: Mon May 16 17:37:50 2016 +0200
Remove trailing spaces in akmodsbuild
akmodsbuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
---
diff --git a/akmodsbuild b/akmodsbuild
index 9de14e9..a3c4615 100755
--- a/akmodsbuild
+++ b/akmodsbuild
@@ -160,7 +160,7 @@ watch_rpmbuild()
# does't use akmods_echo here; this stage handles the output on its own
# (seperate process and there is no need to log this)
if (( ${verboselevel} == 2 )); then
- tail --pid ${1} -n +1 -s 0.1 -f ${2} 2>/dev/null | grep --line-buffered -e '%prep' -e '%build' -e '%install' -e '%clean' | while read line; do
+ tail --pid ${1} -n +1 -s 0.1 -f ${2} 2>/dev/null | grep --line-buffered -e '%prep' -e '%build' -e '%install' -e '%clean' | while read line; do
if [[ "${line}" != "${line##*prep}" ]]; then
echo -n "prep "
elif [[ "${line}" != "${line##*build}" ]]; then
@@ -230,7 +230,7 @@ process_srpm()
fi
# finish status for watch_rpmbuild
- if (( ${verboselevel} >= 2 )); then
+ if (( ${verboselevel} >= 2 )); then
akmods_echo 1 2 -n "Successfull; "
fi
@@ -238,17 +238,17 @@ process_srpm()
if ! mv "${tmpdir}/RPMS/${target}/"* "${outputdir}" ; then
# linefeed:
- akmods_echo 1 2 ""
+ akmods_echo 1 2 ""
akmods_echo 2 2 "Failed to move ${tmpdir}/RPMS/${target}/"* "to ${outputdir}"
return 128
fi
- if (( ${verboselevel} == 1 )); then
+ if (( ${verboselevel} == 1 )); then
for rpm in ${rpms_built}; do
echo "${outputdir%%/}/${rpm}"
done
- elif (( ${verboselevel} >= 2 )); then
+ elif (( ${verboselevel} >= 2 )); then
akmods_echo 1 2 "Saved ${rpms_built} in ${outputdir%%/}/"
fi
8 years, 7 months
[akmods] Remove trailing tabs and spaces
by Sérgio M. Basto
commit ed110773e6378ef911064f2677b971fe212f90c6
Author: Igor Vuk <parcijala(a)gmail.com>
Date: Mon May 16 17:34:26 2016 +0200
Remove trailing tabs and spaces
akmods | 20 ++++++++++----------
1 file changed, 10 insertions(+), 10 deletions(-)
---
diff --git a/akmods b/akmods
index a74854d..d632743 100755
--- a/akmods
+++ b/akmods
@@ -59,7 +59,7 @@ akmods_echo()
echo_success
continue_line=""
echo
- return 0
+ return 0
elif [[ "${1}" == "--failure" ]]; then
echo_failure
echo
@@ -111,7 +111,7 @@ trap "finally" ABRT HUP INT QUIT
create_tmpdir()
{
- if ! tmpdir="$(mktemp -d -p /tmp ${myprog}.XXXXXXXX)/" ; then
+ if ! tmpdir="$(mktemp -d -p /tmp ${myprog}.XXXXXXXX)/" ; then
akmods_echo 2 1 "ERROR: failed to create tmpdir."
akmods_echo 2 1 --failure; return 1
fi
@@ -140,7 +140,7 @@ cleanup_cachedir ()
init ()
{
- # some security provisions
+ # some security provisions
\export PATH='/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin'
\unalias -a
hash -r
@@ -322,7 +322,7 @@ check_kmod_up2date()
return 1
fi
- # kmod up2date?
+ # kmod up2date?
local kmodpackage="$(rpm -qf /usr/lib/modules/${this_kernelver}/extra/${this_kmodname}/ 2> /dev/null)"
if [[ ! "${kmodpackage}" ]]; then
# seems we didn't get what we wanted
@@ -379,10 +379,10 @@ check_kmods()
if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] && \
[[ ! -r /usr/lib/modules/${this_kernelver}/build/Makefile ]]; then
akmods_echo 1 2 "Files needed for building modules against kernel"
- akmods_echo 1 2 "${this_kernelver} could not be found as the following"
+ akmods_echo 1 2 "${this_kernelver} could not be found as the following"
akmods_echo 1 2 "directories are missing:"
- akmods_echo 1 2 "/usr/src/kernels/${this_kernelver}/"
- akmods_echo 1 2 -n "/usr/lib/modules/${this_kernelver}/build/"
+ akmods_echo 1 2 "/usr/src/kernels/${this_kernelver}/"
+ akmods_echo 1 2 -n "/usr/lib/modules/${this_kernelver}/build/"
akmods_echo 1 2 -n "Is the correct kernel-devel package installed?"
akmods_echo 1 2 --failure
return 1
@@ -391,7 +391,7 @@ check_kmods()
local this_kmodverrel="$(rpm -qp --qf '%{VERSION}-%{RELEASE}' "${akmods_kmodfile}" | sed 's!\.\(fc\|lvn\)[0-9]*!!g' )"
if [[ ! "${alwaystry}" ]] && [[ -e "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}".failed.log ]]; then
- akmods_echo 1 2 -n "Ignoring ${this_kmodname}-kmod as it failed earlier"
+ akmods_echo 1 2 -n "Ignoring ${this_kmodname}-kmod as it failed earlier"
akmods_echo 1 2 --warning
local someignored="true"
else
@@ -413,8 +413,8 @@ check_kmods()
akmods_echo 1 2 --success
elif [[ "${someignored}" ]] || [[ "${somefailed}" ]] ; then
echo
- akmods_echo 1 2 "Hint: Some kmods were ignored or failed to build or install."
- akmods_echo 1 2 "You can try to rebuild and install them by by calling"
+ akmods_echo 1 2 "Hint: Some kmods were ignored or failed to build or install."
+ akmods_echo 1 2 "You can try to rebuild and install them by by calling"
akmods_echo 1 2 "'/usr/sbin/akmods --force' as root."
echo
sleep 2
8 years, 7 months
[akmods] Replace spaces with tab so formatting matches the rest of the akmods script
by Sérgio M. Basto
commit e0e1e46e929c1992643056fd3d321789e4769dba
Author: Igor Vuk <parcijala(a)gmail.com>
Date: Mon May 16 17:30:17 2016 +0200
Replace spaces with tab so formatting matches the rest of the akmods script
akmods | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
---
diff --git a/akmods b/akmods
index b620417..a74854d 100755
--- a/akmods
+++ b/akmods
@@ -429,7 +429,7 @@ myprog_help ()
echo $'\n'"Options:"
echo " --force -- try all, even if they failed earlier"
echo " --kernels <kernel> -- build and install only for kernel <kernel>"
- echo " (formatted the same as 'uname -r' would produce)"
+ echo " (formatted the same as 'uname -r' would produce)"
echo " --akmod <akmod> -- build and install only akmod <akmod>"
}
8 years, 7 months
[akmods] Fix typos in akmods
by Sérgio M. Basto
commit cdec31286ce28c6a2aa2a7e24d3b945401485e32
Author: Igor Vuk <parcijala(a)gmail.com>
Date: Mon May 16 17:29:11 2016 +0200
Fix typos in akmods
akmods | 14 +++++++-------
1 file changed, 7 insertions(+), 7 deletions(-)
---
diff --git a/akmods b/akmods
index 44df41c..b620417 100755
--- a/akmods
+++ b/akmods
@@ -26,13 +26,13 @@
############################################################################
#
# ToDo:
-# - use yum on install required kernel-devel pacakges?
-# - better way to detect if a earlier build failed or succeed
+# - use yum/dnf to install required kernel-devel packages?
+# - better way to detect if a earlier build failed or succeeded
# - special kernel "all" (all that are installed with a matching -devel package; could be called from posttrans in akmods packages)
# - manpage
# - make it configurable if kmod building is done with nohup
# - check on shutdown if akmods is still running and let it finish before continuing
-# - make it configurable if kmod from the repo replace local ones
+# - make it configurable if kmods from the repo replace local ones
# global vars
myprog="akmods"
@@ -181,7 +181,7 @@ init ()
fi
- # now that we know that we're root make sure our dir for logging and results is avilable
+ # now that we know that we're root make sure our dir for logging and results is available
if [[ ! -d "/var/cache/akmods/" ]] ; then
if ! mkdir -p "/var/cache/akmods/" ; then
echo -n "/var/cache/akmods/ not found and could not be created" >&2
@@ -231,7 +231,7 @@ buildinstall_kmod()
# tmpdir
create_tmpdir
- # akmods needs to write there (and nobody else, but mktemp takes care fo that!)
+ # akmods needs to write there (and nobody else, but mktemp takes care of that!)
chown akmods "${tmpdir}" "${tmpdir}"results
# remove old logfiles if they exist
@@ -375,7 +375,7 @@ check_kmods()
# okay, kmod wasn't found or is not up2date
if [[ "${continue_line}" ]]; then
akmods_echo 1 2 --success
- # if the files for building modules are not avilable don't even try to build modules
+ # if the files for building modules are not available don't even try to build modules
if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] && \
[[ ! -r /usr/lib/modules/${this_kernelver}/build/Makefile ]]; then
akmods_echo 1 2 "Files needed for building modules against kernel"
@@ -450,7 +450,7 @@ while [ "${1}" ] ; do
elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \
[[ ! -r /boot/vmlinuz-"${1}" ]]; then
# this is a red hat / fedora kernel-devel package, but the kernel for it is not installed
- # kmodtool would adds a dep on that kernel when building; thus when we'd try to install the
+ # kmodtool would add a dep on that kernel when building; thus when we'd try to install the
# rpms we'd run into a missing-dep problem. Thus we prevent that case
echo "Kernel ${1} not installed"
exit 1
8 years, 7 months
[xorg-x11-drv-nvidia/f24: 3/3] Merge branch 'master' into f24
by Leigh Scott
commit d5f68d0d0f4e2d0079b5b3b371b5954d0f433a18
Merge: 3d9468d 8e67369
Author: leigh123linux <leigh123linux(a)googlemail.com>
Date: Wed Aug 17 15:52:53 2016 +0100
Merge branch 'master' into f24
xorg-x11-drv-nvidia.spec | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
---
8 years, 7 months